import request from '@/utils/request'

// 查询库位明细列表
export function listPcdedetail(query) {
  return request({
    url: '/information/pcdedetail/list',
    method: 'get',
    params: query
  })
}

// 查询库位明细详细
export function getPcdedetail(id) {
  return request({
    url: '/information/pcdedetail/' + id,
    method: 'get'
  })
}

// 新增库位明细
export function addPcdedetail(data) {
  return request({
    url: '/information/pcdedetail/add',
    method: 'post',
    data: data
  })
}

// 修改库位明细
export function updatePcdedetail(data) {
  return request({
    url: '/information/pcdedetail',
    method: 'put',
    data: data
  })
}

// 删除库位明细
export function delPcdedetail(id) {
  return request({
    url: '/information/pcdedetail/' + id,
    method: 'delete'
  })
}

// 查询所有场景编号列表
export function getAllScenes() {
  return request({
    url: '/information/scene/getAll',
    method: 'get'
  })
}

//获取所有可用库位下拉数据 用于入库选择库位
export function getKwList() {
  return request({
    url: '/information/pcdedetail/getAll',
    method: 'get'
  })
}


//获取当前仓库所有可用库位下拉数据 用于入库选择库位
export function getKwAllList(id) {
  return request({
    url: 'information/pcdedetail/listByWarehouse/' + id,
    method: 'get'
  })
}
